Saturday, December 15, 2007

Quick Tip: Update Yum to Avoid kmod-nvidia/kernel Conflict

A useful tip to prevent some minor headaches: There seems to be a bug with dependency resolution in YUM on Fedora 8 in some versions prior to yum-3.2.8. On my x86_64 dual core AMD box using kmod-nvidia (newly a default package in F8 I believe) it manifested itself in the following way for me:

[sgibbons@localhost ~]$ sudo yum update
Password:

Setting up Update Process
Resolving Dependencies
--> Running transaction check

... ( A lot of depsolving )

Error: Missing Dependency: kernel-x86_64 = 2.6.23.1-49.fc8 is needed by package kmod-nvidia-2.6.23.1-49.fc8

At first I though this might be an issue with the repo, but it appears to actually be a yum bug. It was quickly remedied by updating yum and then doing the system update:

[sgibbons@localhost ~]$ sudo yum update yum
...
[sgibbons@localhost ~]$ sudo yum update
Hope this saves some forum digging and repo cursing.


1 comments:

About Me said...

Thanks for the information. It helped me a lot.